Remove all vestiges of --default-backend-packages

Review Request #4058 — Created July 10, 2016 and discarded

Eric Ayers
pants
zundel/remove-default-backend-packages
3642, 3643
pants-reviews
benjyw, jsirois, molsen, stuhood

The --default-backend-packages was added in 1.1.0-pre5 and deprecated in 1.1.0-pre6. We quickly iterated and found a better solution (using +/-[] syntax for --backend-packages)
The only users impacted by this option would be those working from 1.1.0 pre-releases, so I propose we forget about a long deprecation cycle on this option since it never made it into an official release.

CI in progress at https://travis-ci.org/pantsbuild/pants/builds/143693959

Benjy Weinberger
  1. See my comment on https://github.com/pantsbuild/pants/issues/3642. I'm not sure this is the best way to go. Fixing up the deprecation message might be a more cautious approach.

  2. 
      
Eric Ayers
Review request changed

Status: Discarded

Change Summary:

See updates to https://github.com/pantsbuild/pants/issues/3642

Loading...